Subject: Troubles with bash scripts
From: [email-masked] (Jean-Paul Le Fèvre)

28 Jan 1998 05:25:28 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: <[email-masked]>

I'm having difficulties with my shell scripts : some characters
of the statements are swallowed :
Considering the most simple script (say 'foo') used to figure out the origin
of the bugs :
       set -vx
       ls
       echo what ?

If I launch it in a DOS window by typing  'bash foo', I got :
      ls
      +ls
      list of my files ...
      cho what ?
      + cho what ?
      foo: cho: command not found.

The first e of echo is crunched. Inserting a space at the beginning
of the line fixes the error. In more complexe scripts, I cannot
afford to add lot of white spaces on every lines.

On the other hand if I start an interactive bash in a DOS window
and if I execute directly the script 'foo' it works fine.

Help would be appreciated. Thank you !

____________________________________________________________________________
Jean-Paul Le Fèvre                      Tel  : (33) [0]1 41 80 44 57
http://www.mygale.org/03/lefevre  Mail : [email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".